SRC/dlartgs.f(3)

NAME
SRC/dlartgs.f

SYNOPSIS

  Functions/Subroutines
subroutine dlartgs (x, y, sigma, cs, sn)
DLARTGS generates a plane rotation designed to introduce a bulge in implicit QR iteration for the bidiagonal SVD problem.

Function/Subroutine Documentation

  subroutine dlartgs (double precision x, double precision y, double precision sigma, double precision cs, double precision sn)

DLARTGS generates a plane rotation designed to introduce a bulge in implicit QR iteration for the bidiagonal SVD problem.

Purpose:

     DLARTGS generates a plane rotation designed to introduce a bulge in
     Golub-Reinsch-style implicit QR iteration for the bidiagonal SVD
     problem. X and Y are the top-row entries, and SIGMA is the shift.
     The computed CS and SN define a plane rotation satisfying
        [  CS  SN  ]  .  [ X^2 - SIGMA ]  =  [ R ],
        [ -SN  CS  ]     [    X * Y    ]     [ 0 ]
     with R nonnegative.  If X^2 - SIGMA and X * Y are 0, then the
     rotation is by PI/2.

Parameters
    X

              X is DOUBLE PRECISION
              The (1,1) entry of an upper bidiagonal matrix.

    Y

              Y is DOUBLE PRECISION
              The (1,2) entry of an upper bidiagonal matrix.

    SIGMA

              SIGMA is DOUBLE PRECISION
              The shift.

    CS

              CS is DOUBLE PRECISION
              The cosine of the rotation.

    SN

              SN is DOUBLE PRECISION
              The sine of the rotation.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file dlartgs.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.